oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions for Intel oneAPI Toolkits, Intel Parallel Studio XE and Intel System Studio
730 Discussions

intel oneAPI HPC Toolkit 2021.2 linux installation problems

PatrickE
Beginner
1,805 Views

We already installed Base Toolkit on our Linux Toolbox but we have issues with HPC Toolkit.

We always encounter errors when trying to install.

The error log is attached.

0 Kudos
11 Replies
Dilanjan_J_Intel
Moderator
1,755 Views

Hi PatrickE, 

 

Thanks for posting your concern on the forum. Please provide the below information.

 

  • The operating system's complete name, version and architecture.
  • A copy of the error output.
  • Are you trying to install using the online or offline package?

 

The above details would allow us to check further. 

 

Have a pleasant day ahead!

 

Regards,

Dilanjan

 

PatrickE
Beginner
1,727 Views

Hello Dilanjan,

 

Red Hat Enterprise Linux Workstation 7.7 with kernel version 3.10.0-1062.el7.x86_64

The entire log with errors is attached in the question I have.

We are using the offline package. We had no problems with the Base Kit.

 

Best regards

                

Dilanjan_J_Intel
Moderator
1,700 Views

Hi PatrickE,


Thanks for the information. Please also share the version of the Intel® oneApi Base toolkit you have installed.


Have a pleasant day!


Regards,

Dilanjan


PatrickE
Beginner
1,685 Views

Hello Dalinjan,

 

the Base Toolkit we installed is version 2021.2.0.2883

 

Best regards

Patrick

Dilanjan_J_Intel
Moderator
1,664 Views

Hi PatrickE,


Thanks for the information. Version 2021.3 is the latest version of the Intel® oneAPI toolkit. Please try the latest version of both Intel® oneAPI BaseToolkit and the Intel® oneAPI HPC Toolkit and see if this resolves the issue.


Note - Make sure to download and install first the Intel® OneAPI Base Toolkit and then add Intel® OneAPI HPC Toolkit or the toolkit of your choice. You may use the below link to do so.


Link - https://software.intel.com/content/www/us/en/develop/tools/oneapi/all-toolkits.html#base-kit



Regards

Dilanjan


PatrickE
Beginner
1,646 Views

Hello Dilanjan,

 

I know that there is a newer version. The thing is:

I want the 2021.2 version to work and not a newer version.

Could you please provide any help with this version?

 

Best regards

Patrick

ChrisB_Intel
Moderator
1,621 Views

PatrickE,


It looks like you are missing some of the associated dependencies. Can you make sure as part of your install you have at least all the yellow highlighted components below installed?


List of Available Packages

Component Name

Package Name

Platform

Dependencies

Intel® MPI Library

impi_rt

impi-devel

linux-x64

N/A

Intel® Fortran Compiler (Beta) and Intel® Fortran Compiler Classic

fortran_rt

linux-x64

linux-x86

Intel® MPI Library

Intel OpenMP* Runtime Library

Intel® CPU Runtime for OpenCL™ Applications

opencl_rt

linux-x64

oneTBB

Intel® oneAPI DPC++/C++ Compiler

dpcpp_cpp_rt

linux-x64

Intel® CPU Runtime for OpenCL™ Applications

Intel OpenMP* Runtime Library

Intel OpenMP* Runtime Library

intel-openmp

linux-x64

linux-x86

N/A

Intel® oneAPI Threading Building Blocks (oneTBB)

tbb

tbb-devel

linux-x64

linux-x86

N/A

tbb4py

linux-x64

N/A

Intel® oneAPI Data Analytics Library (oneDAL)

dal

dal-static

dal-devel

dal-include

linux-x64

linux-x86

oneTBB

daal4py

linux-x64

oneDAL

Intel® Extension for Scikit-learn

scikit-learn-intelex

linux-x64

oneDAL

Intel® Integrated Performance Primitives (Intel® IPP)

ipp

ipp-static

ipp-include

linux-x64

linux-x86

N/A

Intel® Integrated Performance Primitives Cryptography

ipp_crypto

ipp_crypto-static

ipp_crypto-include

linux-x64

linux-x86

N/A

Intel® oneAPI Math Kernel Library (oneMKL)

mkl

mkl-devel

mkl-static

mkl-include

linux-x64

linux-x86

Intel OpenMP* Runtime Library

oneTBB

Intel® oneAPI Deep Neural Network Library (oneDNN)

onednn-cpu-gomp

onednn-devel-cpu-gomp

linux-x64

N/A

onednn-cpu-iomp

onednn-devel-cpu-iomp

linux-x64

Intel OpenMP* Runtime Library

onednn-cpu-dpcpp-gpu-dpcpp

onednn-devel-cpu-dpcpp-gpu-dpcpp

linux-x64

Intel® CPU Runtime for OpenCL™ Applications

Intel oneAPI DPC++/C++ Compiler Runtime

Intel® oneAPI Collective Communications Library (oneCCL)

oneccl-devel

linux-x64

N/A

Intel® Distribution of Modin* (via Anaconda distribution of the toolkit using the Conda package manager)

intel-aikit-modin

linux-x64

N/A

Intel® Low Precision Optimization Tool

lpot

linux-x64

N/A

Intel® Optimization for TensorFlow*

intel-tensorflow

intel-tensorflow-avx512

linux-x64

N/A



PatrickE
Beginner
1,579 Views

All dependencies you listet are installed already.

 

We also tried the newer version you suggested:

l_BaseKit_p_2021.3.0.3219_offline.sh

l_HPCKit_p_2021.3.0.3230_offline.sh

 

We encounter an issue with installing the python package with the base toolkit, everything else works fine.

 

With the HPC Toolkit we receive the same error as with version 2021.2:

 

[root@***** 2021.08.13.15.10.19.340]# grep ERROR *

installer.2021.08.13.15.10.21.641049.log:08/13/2021 15:11:18:234 : 10385 : ERROR : <PreRequisiteProcessor> exception occured during unsupported file system check: ''nfs' is unknown file system type. Conversion to file system type is failed.'

installer.2021.08.13.15.10.21.641049.log:08/13/2021 15:12:36:801 : 10385 : ERROR : Installation of component has failed.

installer.2021.08.13.15.10.21.641049.log:08/13/2021 15:12:36:801 : 10385 : ERROR : <StandardSequenceExecutor>: 'intel.oneapi.lin.dpcpp-cpp-pro-fortran-compiler-common,v=2021.3.0-3350' execution is failed. Rolling back all previous operations.

installer.2021.08.13.15.10.21.641049.log:08/13/2021 15:12:50:195 : 10385 : ERROR : Install sequence execution status: Rollback

installer.install.intel.oneapi.lin.hpckit.product,v=2021.3.0-3230.2021.08.13.15.10.21.641030.log:08/13/2021 15:12:36:801 : 10385 : ERROR : Installation of component has failed.

installer.install.intel.oneapi.lin.hpckit.product,v=2021.3.0-3230.2021.08.13.15.10.21.641030.log:08/13/2021 15:12:50:195 : 10385 : ERROR : Install sequence execution status: Rollback

pm.intel.oneapi.lin.dpcpp-cpp-pro-fortran-compiler-common,v=2021.3.0-3350.2021.08.13.15.12.36.729205.log:08/13/2021 15:12:36:788 : 10887 : ERROR : extractWithFilter: exception caught: extract::archive_read_extract failed with: -20; . Please check that destination directory has appropriate permissions and quota limit is not reached for the user.

pm.intel.oneapi.lin.dpcpp-cpp-pro-fortran-compiler-common,v=2021.3.0-3350.2021.08.13.15.12.36.729205.log:08/13/2021 15:12:36:789 : 10887 : ERROR : Execution of step 5 failed with error: Failed to extract files from /var/intel/installercache/downloadcache/intel.oneapi.lin.dpcpp-cpp-pro-fortran-compiler-common,v=2021.3.0-3350/cupPayload.cup

pm.intel.oneapi.lin.dpcpp-cpp-pro-fortran-compiler-common,v=2021.3.0-3350.2021.08.13.15.12.36.729205.log:08/13/2021 15:12:36:800 : 10887 : ERROR : Error: Sequence execution failed.

ChrisB_Intel
Moderator
1,536 Views

Apologies for the delay, I missed your response. We are looking at this now.


Thanks

Chris



ChrisB_Intel
Moderator
1,467 Views

Apologies for the delay. Engineering got back to me this morning. They want the full install log from both the 2021.2, which you have provided, and the 2021.3 install log. They are also asking how much disk space you have left on this system?


Thanks

Chris



Dilanjan_J_Intel
Moderator
1,346 Views

Hi PatrickE,


Since I have not heard from you. This thread will no longer be monitored by Intel®. If you need further assistance, please post a new question


Regards,

Dilanjan


Reply